/*
	zipapi.c

		by Yoshioka Tsuneo(QWF00133@niftyserve.or.jp)
		welcome any e-mail!!
		You can use this file as Public Domain Software.
		Copy,Edit,Re-distibute and for any purpose,you can use this file.

*/
#include "zipapi.h"
#include <windows.h>
#include <winbase.h>

static int ZIP32DLLLoaded=0;
static HINSTANCE ZIP32DLLhLib;

int ZIP32DLLLoadLibrary(void)
{
	HINSTANCE hLib;

	if(ZIP32DLLLoaded==1){return 0;}
	hLib=LoadLibrary("IZIP32J.DLL");
	if(hLib == NULL){
		MessageBox(NULL,"Can't load IZIP32J.DLL","Error",MB_ICONEXCLAMATION);
		return -1;
	}

	ZIP32DLLhLib=hLib;
	ZpVersion=GetProcAddress(hLib,"ZpVersion");
	ZpInit=GetProcAddress(hLib,"ZpInit");
	ZpSetOptions=GetProcAddress(hLib,"ZpSetOptions");
	ZpGetOptions=GetProcAddress(hLib,"ZpGetOptions");
	ZpArchive=GetProcAddress(hLib,"ZpArchive");
	return 0;
}
int ZIP32DLLFreeLibrary(void)
{
	if(ZIP32DLLLoaded==0){return 0;}
	FreeLibrary(ZIP32DLLhLib);
}


